List HITL approval requests
curl --request GET \
--url https://api.swarmd.ai/relay/v1/approvals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.swarmd.ai/relay/v1/approvals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.swarmd.ai/relay/v1/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalPages": 123,
"totalElements": 123,
"first": true,
"last": true,
"size": 123,
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taskId": "<string>",
"contextId": "<string>",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentMessageRole": "<string>",
"agentMessageText": "<string>",
"sourceAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentMessageData": "<string>",
"policyName": "<string>",
"matchedContent": "<string>",
"summary": "<string>",
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"resolution": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message": "<string>",
"resolvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
}
}
],
"number": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"pageable": {
"offset": 123,
"sort": {
"empty": true,
"sorted": true,
"unsorted": true
},
"pageSize": 123,
"pageNumber": 123,
"paged": true,
"unpaged": true
},
"numberOfElements": 123,
"empty": true
}HITL Approvals
List HITL approval requests
Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | HITL_REQUESTS | READ | HITL_REQUESTS:READ |
GET
/
relay
/
v1
/
approvals
List HITL approval requests
Authorizations
JWT token (USER, AGENT, or SERVICE auth)
Query Parameters
Available options:
PENDING, APPROVED, REJECTED Show child attributes
Show child attributes
⌘I
